airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bo...@apache.org
Subject incubator-airflow git commit: [AIRFLOW-1430] Solve GPL dependency
Date Tue, 27 Mar 2018 14:09:03 GMT
Repository: incubator-airflow
Updated Branches:
  refs/heads/master 08b125a6a -> 68bbffd31


[AIRFLOW-1430] Solve GPL dependency

One of the dependencies was pulling in
a GPL library by default. With the new
release of python-nvd3 this is now solved.

Closes #3160 from bolkedebruin/legal


Project: http://git-wip-us.apache.org/repos/asf/incubator-airflow/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-airflow/commit/68bbffd3
Tree: http://git-wip-us.apache.org/repos/asf/incubator-airflow/tree/68bbffd3
Diff: http://git-wip-us.apache.org/repos/asf/incubator-airflow/diff/68bbffd3

Branch: refs/heads/master
Commit: 68bbffd315ad8f7ea5699ccc50869e083c3162cc
Parents: 08b125a
Author: Bolke de Bruin <bolke@xs4all.nl>
Authored: Tue Mar 27 16:08:53 2018 +0200
Committer: Bolke de Bruin <bolke@xs4all.nl>
Committed: Tue Mar 27 16:08:53 2018 +0200

----------------------------------------------------------------------
 docs/installation.rst | 10 +++++++++-
 setup.py              |  2 +-
 2 files changed, 10 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-airflow/blob/68bbffd3/docs/installation.rst
----------------------------------------------------------------------
diff --git a/docs/installation.rst b/docs/installation.rst
index 30fece7..20d0c35 100644
--- a/docs/installation.rst
+++ b/docs/installation.rst
@@ -15,6 +15,14 @@ You can also install Airflow with support for extra features like ``s3``
or ``po
 .. code-block:: bash
 
     pip install "apache-airflow[s3, postgres]"
+    
+.. note:: GPL dependency
+   
+    One of the dependencies of Apache Airflow by default pulls in a GPL library ('unidecode').
+    In case this is a concern you can force a non GPL library by issuing
+    ``export SLUGIFY_USES_TEXT_UNIDECODE=yes`` and then proceed with the normal installation.
+    Please note that this needs to be specified at every upgrade. Also note that if `unidecode`
+    is already present on the system the dependency will still be used.
 
 Extra Packages
 ''''''''''''''
@@ -107,4 +115,4 @@ After configuration, you'll need to initialize the database before you
can run t
 
 .. code-block:: bash
 
-    airflow initdb
\ No newline at end of file
+    airflow initdb

http://git-wip-us.apache.org/repos/asf/incubator-airflow/blob/68bbffd3/setup.py
----------------------------------------------------------------------
diff --git a/setup.py b/setup.py
index 3822682..7279ed3 100644
--- a/setup.py
+++ b/setup.py
@@ -240,7 +240,7 @@ def do_setup():
             'pygments>=2.0.1, <3.0',
             'python-daemon>=2.1.1, <2.2',
             'python-dateutil>=2.3, <3',
-            'python-nvd3==0.14.2',
+            'python-nvd3==0.15.0',
             'requests>=2.5.1, <3',
             'setproctitle>=1.1.8, <2',
             'sqlalchemy>=1.1.15, <1.2.0',


Mime
View raw message